Page MenuHomePhabricator

Investigate requests flagged as pageview in analytics header coming from bots
Closed, ResolvedPublic1 Story Points

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 13 2016, 5:55 PM

Weird thing: Some requests having the pageview=1 x_analytics header flag are coming from bots (googlebot, from what we saw).

Nuria added a subscriber: Nuria.Mar 13 2017, 4:58 PM

No, expected, this is google crawling the app on google pay store.

Nuria triaged this task as Normal priority.Mar 13 2017, 4:59 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 29 2017, 3:56 PM

This sounds like googlebot crawling the app and sending traffic as a user would, I do not see anything that we can do on our end to prevent that, fixes need to happen on apps end so if you are being crawled no analytics get sent. cc @Fjalapeno and cc @Dbrant

Action item for analytics is to verify that indeed all this requests are coming from apps.

Nuria edited projects, added Analytics-Kanban; removed Analytics.Jun 15 2017, 4:16 PM
Nuria claimed this task.Sep 14 2017, 4:26 PM
Nuria moved this task from Next Up to In Progress on the Analytics-Kanban board.Nov 28 2017, 7:35 PM
Nuria set the point value for this task to 1.Nov 29 2017, 1:52 AM
Nuria added a comment.Nov 29 2017, 1:57 AM

I could not find any requests from googlebot in couple days I spot-checked in October, now requests marked with "pageviews=1" in x-analytics do come from apps. There is nothing on our system that will prevent googlebot to crawl the app on play store and (unless the app preventys it) send us requests tageed pageview=1 on X-analytics header as if they would come from actual usage of app. Closing ticket as the only actionable would be modifying app code (cc @Fjalapeno) and that might have already happened.

Nuria moved this task from In Progress to Done on the Analytics-Kanban board.Nov 29 2017, 1:57 AM
Nuria closed this task as Resolved.Nov 29 2017, 4:41 PM